connect-wifi-first
Added at V2.2
Use this interface to connect your device to a Wi-Fi network for the first time.
HTTP Request
GET http://ip/usapi?method=connect-wifi-first&name=magewell&passwd=1111111&secu=2&is-auto=1&is-hide=0
| Parameter | Description |
|---|---|
| method | connect-wifi-first |
| name | Indicates name of Wi-Fi network. |
| passwd | Indicates password of Wi-Fi network. |
| secu | Wi-Fi network encryption method, 0: unencrypted 1: wep 2: WPA/PSK 3: WPA2/PSK 4: WPA2/EAP |
| is-auto | Indicates whether to auto-connect to the saved Wi-Fi network. |
| is-hide | Indicates whether connecting to a hidden Wi-Fi network. |
| identity | Identity authentication, set when secu is WPA2/EAP |
| is-dhcp | Whether to dynamically obtain IP address 0: Manual setting 1: Dynamic obtain |
| ip | IP address |
| mask | Subnet mask |
| router | Gateway |
| dns | DNS server |
Response Body
{
"result": 0
}
| Item | Description |
|---|---|
| result | 0 indicates that the request was accepted successfully. Refer to API Status Codes to find specific description for other values. |